Arch Спиральная арматура

From FreeCAD Documentation
(Redirected from Arch Rebar Helical/ru)
The printable version is no longer supported and may have rendering errors. Please update your browser bookmarks and please use the default browser print function instead.
This page is a translated version of the page Reinforcement HelicalRebar and the translation is 19% complete.
Outdated translations are marked like this.

Спиральная арматура

Системное название
Arch_Rebar_Helical
Расположение в меню
Arch → Rebar tools → Helical Rebar
3D/BIM → Reinforcement tools → Helical Rebar
Верстаки
Arch, BIM
Быстрые клавиши
Нет
Представлено в версии
0.17
См. также
Reinforcement, Арматура по эскизу, Кольцевая арматура, Армировать колонну

Описание

Инструмент Helical Rebar позволяет пользователю создавать в структурном элементе арматурный стержень с изогнутой формой.

This tool is part of the Reinforcement Workbench, an external workbench that can be installed with the Addon Manager.

Применение

  1. Select any face of a previously created Arch Structure object.
  2. Then select Helical Rebar from the rebar tools.
  3. A task panel will pop-out on the left side of the screen as shown below.
  4. Select the desired orientation.
  5. Populate the inputs like 'Left Cover', 'Right Cover', 'Top Cover', 'Bottom Cover', 'Front Cover', 'Bent Angle', 'Bent Factor', 'Rounding' and 'Diameter' of the rebar.
  6. Select the mode of distribution either 'Amount' or 'Spacing'.
  7. Pick Selected Face is used to verify or change the face for rebar distribution.
  8. Click OK or Apply to generate the rebars.
  9. Click Cancel to exit the task panel.

Task panel for the tool

Свойства

  • ДанныеSide Cover: The distance between rebar to the curved face.
  • ДанныеTop Cover: The distance between rebar from the top face of the structure.
  • ДанныеBottom Cover: The distance between rebar from the bottom face of the structure.
  • ДанныеPitch: The pitch of a helix is the height of one complete helix turn, measured parallel to the axis of the helix.
  • ДанныеDiameter: Diameter of the rebar.

Сценарии

See also: Arch API, Reinforcement API and FreeCAD Scripting Basics.

The Reinforcement HelicalRebar tool can be used in macros and from the Python console by using the following function:

Rebar = makeHelicalRebar(s_cover, b_cover, diameter, t_cover, pitch, structure=None, facename=None)
  • Creates a Rebar object from the given structure, which is an Arch Structure, and facename, which is a face of that structure.
    • If no structure nor facename are given, it will take the user selected face as input.
  • s_cover, b_cover, and t_cover are inner offset distances for the rebar with respect to the faces of the structure. They are respectively the side, bottom, and top offsets.
  • diameter is the diameter of the reinforcement spiral inside the structure.
  • pitch is the parameter that determines how close or far apart each spiral loop is to each other.

Пример

import FreeCAD, Draft, Arch, HelicalRebar

Circle = Draft.makeCircle(radius=250)
Structure = Arch.makeStructure(Circle)
Structure.ViewObject.Transparency = 80
FreeCAD.ActiveDocument.recompute()

Rebar = HelicalRebar.makeHelicalRebar(10, 50, 8, 50, 50, structure, "Face2")

Edition of the rebar

You can change the properties of the rebar with the following function

editHelicalRebar(Rebar, s_cover, b_cover, diameter, t_cover, pitch, structure=None, facename=None)
  • Rebar is a previously created HelicalRebar object.
  • The other parameters are the same as required by the makeHelicalRebar() function.
  • structure and facename may be omitted so that the rebar stays in the original structure.
import HelicalRebar

HelicalRebar.editHelicalRebar(Rebar, 20, 100, 20, 20, 100)